<?php

namespace Drupal\text2image\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Class Text2ImageController.
 */
class Text2ImageController extends ControllerBase {

  /**
   * Home.
   *
   * @return string
   *   Return markup.
   */
  public function home() {
    $markup = file_get_contents(drupal_get_path('module', 'text2image') . '/README.md');
    $markup = preg_replace('/###(.*)\n/m', '<em>$1:</em><br />', $markup);
    $markup = preg_replace('/##(.*)\n/m', '<strong>$1</strong><br />', $markup);
    $markup = preg_replace('/#(.*)\n/m', '<strong>$1</strong><br />', $markup);
    $markup = preg_replace('/\[([\w\s]+)\]\((https:\/\/[\/\.\-\w\s]+)\)\n/m', '<a href="$2" target="_blank">$1</a><br />', $markup);
    return [
      '#type' => 'markup',
      '#markup' => nl2br($markup),
    ];
  }

}
